NVRAM(4)

NAME
nvram - non-volatile RAM

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device nvram

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    nvram_load="YES"

DESCRIPTION
The nvram driver provides access to BIOS configuration NVRAM on i386 and amd64 systems.

PC motherboard uses a small non-volatile memory to store BIOS settings which is usually part of its clock chip and sometimes referred as “CMOS SRAM”. This driver exposes bytes 14 through 128 of the NVRAM, or a total of 114 bytes, at offset zero of the device file /dev/nvram.

This driver is useful for cloning machines that shares the same hardware configuration and need same BIOS setting tweaks.

IMPLEMENTATION NOTES
The BIOS NVRAM's bytes 16 through 31 are checksummed at byte 32. This driver does not take care for these checksums.

EXAMPLES
Backup existing BIOS NVRAM to nvram.bin:

    dd if=/dev/nvram of=nvram.bin

Restore BIOS NVRAM from nvram.bin:

    dd if=nvram.bin of=/dev/nvram

SEE ALSO
dd(1)

HISTORY
The nvram device driver first appeared in FreeBSD 6.4.

AUTHORS
-nosplit The nvram device driver was written by Peter Wemm. This manual page was written by Xin LI.